"""
Created on Sun Apr 23 17:13:30 2017

@author: Patrick Staubach
"""
import matplotlib
import matplotlib.pyplot as plt
import matplotlib.ticker as mtick
from pylab import genfromtxt
from matplotlib import rc
import os 
import numpy as np
dir_path = os.path.dirname(os.path.realpath(__file__))
plt.rcParams['backend'] = "Qt4Agg"

#=============================================================================
# General settings
#%% =============================================================================

mylinewidth=1
mytextwidth=15
matplotlib.rcParams['axes.linewidth'] = 0.8 #set the value globally
#=============================================================================
# Read data
#%% =============================================================================

    
dirname = '/step_tutorial-print-out'

dir_path = os.path.normpath(os.getcwd() +dirname)

sim1 = genfromtxt(dir_path+'/'+'KNOTEN_MONOPILE_AUSSEN_OBEN_LINKS_node_19236.dat',skip_header=5)
sim1_2 = genfromtxt(dir_path+'/'+'MONOPILE_SYMMETRIE_VORNE_node_40345.dat',skip_header=1)


#=============================================================================
# Plot first data
#%% =============================================================================
plt.figure(1)
plt.subplot(111)


plt.semilogx(sim1[:,0]-sim1[0,0]+1.1,np.arctan((-sim1[:,1]+sim1[0,1]+sim1_2[:,4]-sim1_2[0,4])/(0.0666+0.171427)*180./np.pi),'or-', linewidth=mylinewidth,\
         markersize=4,markerfacecolor='none',markevery=20,\
         label=r'Simulation',clip_on=True)


ax = plt.gca()
ax.set_xlabel(r'Load history [-] / Number of load cycles [-]',fontsize=mytextwidth)
ax.set_ylabel(r'Pile head rotation [°]',fontsize=mytextwidth,labelpad=7)


# legend=ax.legend(bbox_to_anchor=(0.43, 0.775), loc='center',fontsize=mytextwidth-1,ncol=1)
# frame=legend.get_frame()
# frame.set_edgecolor('white')
# #frame.set.facecolor('white')
# legend.get_frame().set_alpha(1)

ax.axis([1,1e6,-0.0,0.8])


ax.tick_params(axis='x',direction='in',labelsize=mytextwidth,pad=6)
ax.tick_params(axis='y',direction='in',labelsize=mytextwidth,pad=6)
ax.grid(True,color='k',linewidth=0.6)

plt.tight_layout() 
fig = plt.gcf()  
fig.savefig('monopile_head_rotation.pdf', dpi=1200 , bbox_inches='tight')
